Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , 9 reacties
Bron: Apple

Apple Xcode (logo)Apple heeft een nieuwe versie van Xcode uitgebracht. Het gaat om versie 2.5, die door te klikken op deze link gedownload kan worden. Xcode is een integrated development environment dat door Apple voor Mac OS X ontwikkeld wordt. Het programma stelt programmeurs in staat om programma's voor onder meer Cocoa en Carbon in de talen C, C++, Objective-C, Objective-C++, Java en AppleScript te schrijven. De developers van Apple hebben Xcode 2.5 compatibel met Mac OS X 10.5 gemaakt, zodat de nieuwe 2.5-release op een Leopard-systeem naast Xcode 3.0 gebruikt kan worden. Daarnaast zijn er een aantal bugs geplet. Welke bugs dat precies zijn, kan nagelezen worden in dit pdf-bestand. Hieronder zijn de release notes van Xcode 2.5 gepost:

Xcode 2.5 is a minor update to the Tiger tools that is functionally similar to Xcode 2.4.1. It is not considered a critical update. Xcode 2.5 for the first time supports development hosted on Tiger as well as Mac OS X 10.5 (Leopard). This release is recommended for developers needing to continue to use the Tiger tools while running Leopard, and serves as a transition to Xcode 3.0. On Tiger systems Xcode 2.5 will upgrade previous versions of Xcode; on Leopard systems Xcode 2.5 will install along side Xcode 3.0. Xcode 2.5 does not support developing for the Leopard SDK or Leopard-specific features. Please read the release notes for installation details.

There are three improvements in this version of Xcode
  • Its Installer allows you to install on either a Tiger or Leopard system
  • When installing on Leopard, you may install in a location other than the /Xcode2.5 directory on the startup volume
  • When installed on Leopard, you may move the /Xcode2.5 folder in its entirety to any other location and use Xcode normally
Versienummer:2.5
Releasestatus:Final
Besturingssystemen:macOS
Website:Apple
Download:http://adcdownload.apple.com/Developer_Tools/xcode_2.5_developer_tools/xcode25_8m2558_developerdvd.dmg
Bestandsgrootte:902,90MB
Licentietype:Voorwaarden (GNU/BSD/etc.)
Moderatie-faq Wijzig weergave

Reacties (9)

Waarom zou ik XCode 2.5 naast 3.0 willen draaien?
Waarschijnlijk om software te kunnen maken die in ieder geval géén gebruik maakt van Leopard features en dus gegarandeerd op oudere OS X versies werkt.
Bij de installatie van Xcode 3.0 op OS X 10.5 kon ik ook kiezen om de 10.4 en 10.3 ontwikkeltools te installeren... ik mag dan aannemen dat ik dan voor 10.4 en 10.3 kan ontwikkelen.
Ja, maar daar gaat het niet om: zoals Carbon al zei; je project files van 3.0 zijn vermoedelijk niet backward compatible met die van XCode 2.5.
Kan je zoiets dan niet gewoon in je 'project settings' instellen ofzo? Is toch redelijk gebruikelijk dacht ik zo. Ken xcode verder niet hoor, maar bij bv Eclipse is het ook zo dat je kan kiezen voor welke Java-versie je ontwikkeld.
Kan je zoiets dan niet gewoon in je 'project settings' instellen ofzo?
Klopt dat kun je gewoon instellen.

Er zijn wel degelijk situaties waarbij XCode 2.5 naast XCode 3.0 wenselijk is.

Denk aan opensource projecten, niet iedereen heeft OSX 10.5 maw je kunt niet over naar XCode 3.0 want de projectfile is niet backward compatible met die van XCode 2.5.
2.5 is trouwens al langere tijd te downloaden bij mijn weten. Het kan op zich een beta zijn misschien..
2.5 is trouwens al langere tijd te downloaden bij mijn weten
Dat was de beta versie.

Dit is de officiële versie.
Het is niet erg nuttig, maar ik wilde even melden dat ik xCode echt top-software vind! Toen ik OSX ging gebruiken samen met xCode werd ik weer teruggebracht naar mijn Amiga-tijd, qua gevoel, lovely. Mag ook weleens gezegd worden. ;)

Op dit item kan niet meer gereageerd worden.



Apple iOS 10 Google Pixel Apple iPhone 7 Sony PlayStation VR AMD Radeon RX 480 4GB Battlefield 1 Google Android Nougat Watch Dogs 2

© 1998 - 2016 de Persgroep Online Services B.V. Tweakers vormt samen met o.a. Autotrack en Carsom.nl de Persgroep Online Services B.V. Hosting door True